package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderCourseSettings;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class MusicGroupPaymentCalenderAuditDetailDto {
    @ApiModelProperty(value = "缴费项基本信息",required = false)
    private MusicGroupPaymentCalenderAuditDto auditDto;

    @ApiModelProperty(value = "学员数量",required = false)
    private Integer studentNum;

    @ApiModelProperty(value = "学员名单",required = false)
    private List<SimpleUserDto> simpleUserDtos;

    @ApiModelProperty(value = "收费标准列表",required = false)
    private List<MusicGroupPaymentCalenderCourseSettings> musicGroupPaymentCalenderCourseSettings;

    public MusicGroupPaymentCalenderAuditDto getAuditDto() {
        return auditDto;
    }

    public void setAuditDto(MusicGroupPaymentCalenderAuditDto auditDto) {
        this.auditDto = auditDto;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public List<SimpleUserDto> getSimpleUserDto() {
        return simpleUserDtos;
    }

    public void setBasicUserDtos(List<SimpleUserDto> simpleUserDtos) {
        this.simpleUserDtos = simpleUserDtos;
    }

    public List<MusicGroupPaymentCalenderCourseSettings> getMusicGroupPaymentCalenderCourseSettings() {
        return musicGroupPaymentCalenderCourseSettings;
    }

    public void setMusicGroupPaymentCalenderCourseSettings(List<MusicGroupPaymentCalenderCourseSettings> musicGroupPaymentCalenderCourseSettings) {
        this.musicGroupPaymentCalenderCourseSettings = musicGroupPaymentCalenderCourseSettings;
    }
}
